Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class VariableVal

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.ToFrom
                  org.apache.ode.bpel.compiler.bom.VariableVal

Direct Known Subclasses:
  VariableVal11

    public class VariableVal

extends ToFrom

Assignment L/R-value defined by a location within a BPEL variable.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`VariableVal(org.w3c.dom.Element el)`

Method Summary
`java.lang.String` | `getHeader()` Get the (optional) header part.
`Expression` | `getLocation()`
`java.lang.String` | `getPart()` Get the (optional) message part.
`java.lang.String` | `getVariable()` Get the name of the variable.

Methods inherited from class org.apache.ode.bpel.compiler.bom.ToFrom
`getAsExpression, getAsExtensionVal, getAsPartnerLinkVal, getAsPropertyVal, getAsVariableVal, isExtensionVal, isPartnerLinkVal, isPropertyVal, isVariableVal`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableVal

    public VariableVal(org.w3c.dom.Element el)

Method Detail

### getVariable

    public java.lang.String getVariable()

  Get the name of the variable.

  Returns:
    variable name

### getPart

    public java.lang.String getPart()

  Get the (optional) message part.

  Returns:
    name of the message part, or `null`

### getHeader

    public java.lang.String getHeader()

  Get the (optional) header part.

  Returns:
    name of the header part, or `null`

### getLocation

    public Expression getLocation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD